---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libNullAsCurrentThreadTest.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x23F38, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x8C95, offset: 0x8C95, size: 0x8, addend: 0x0, symName: __ZL13failed_status, symObjAddr: 0x23F40, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x8CB5, offset: 0x8CB5, size: 0x8, addend: 0x0, symName: __ZL18vt_support_enabled, symObjAddr: 0x23F44, symBinAddr: 0x804C, symSize: 0x0 }
  - { offsetInCU: 0x8D28, offset: 0x8D28, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x1948, symSize: 0x24 }
  - { offsetInCU: 0x96A2, offset: 0x96A2, size: 0x8, addend: 0x0, symName: _Java_NullAsCurrentThreadTest_testJvmtiFunctions, symObjAddr: 0xC70, symBinAddr: 0x196C, symSize: 0x1104 }
  - { offsetInCU: 0xB428, offset: 0xB428, size: 0x8, addend: 0x0, symName: _Java_NullAsCurrentThreadTest_failedStatus, symObjAddr: 0x1D74, symBinAddr: 0x2A70, symSize: 0xC }
  - { offsetInCU: 0xB5A6, offset: 0xB5A6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1D80, symBinAddr: 0x2A7C, symSize: 0x284 }
  - { offsetInCU: 0xB86C, offset: 0xB86C, size: 0x8, addend: 0x0, symName: __ZL14find_ext_eventP9_jvmtiEnvPKc, symObjAddr: 0x203C, symBinAddr: 0x2D38, symSize: 0xB0 }
  - { offsetInCU: 0xB982, offset: 0xB982, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadMountP9_jvmtiEnvz, symObjAddr: 0x2004, symBinAddr: 0x2D00, symSize: 0x38 }
...
